Ubuntu

xmlcopyeditor does not start - needs a no-change rebuild in both Precise and Quantal

Reported by klonuo on 2011-12-08
292
This bug affects 71 people
Affects Status Importance Assigned to Milestone
xmlcopyeditor (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned

Bug Description

[Impact]
This bug causes xmlcopyeditor not to start unless it is recompiled. A no-change rebuild fixes this bug.

[Test Case]
Install xmlcopyeditor and then run:
$ xmlcopyeditor
The program fails to open.

[Regression Potential]
None. This is just a no-change rebuild that is being requested.

Workaround: add this PPA: https://launchpad.net/~mariusko/+archive/xmlcopyeditor

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xmlcopyeditor (Ubuntu):
status: New → Confirmed
Stefan Tauner (stefanct) wrote :

the updated (see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=651027) package in 12.04 still does not work correctly.

Rainer Rohde (rainer-rohde) wrote :

Same here. I tried xmlcopyeditor on both 32 and 64 bit 12.04 beta 2 - still nothing.

summary: - Doesn't work
+ xmlcopyeditor does not start

The package is obviously outdated and incompatible with some libs.
Compiling it myself using the current sources from ubuntu builds a starting an running xmlcopyeditor.
So someone who is able to rebuild the package and put it into the ubuntu-repository should do just this.

Rainer Rohde (rainer-rohde) wrote :

Thanks for the heads-up, Hagar! This version does indeed work on 12.04. Excellent find! :)

Rainer Rohde (rainer-rohde) wrote :

Addendum to comment #6: Yes, XML Copy Editor works, however, it crashes a lot which makes it hard to work with.

Raul Mingardi (raulmingardi) wrote :

I use Ubuntu 12.04 64bit and XML Copy Editor doesn't even start. Icon appear, and when i press it, it starts glowing like it's going to start, and than nothing happens.

Pander (pander) wrote :

https://bugs.launchpad.net/ubuntu/+source/xmlcopyeditor/+bug/967087 describes how to fix this. Please rebuild the package with debug info to fix this. Please offer that version as a temporary fix from Ubuntu repositories. Then fix the real bug and offer a final fix also via Ubuntu repositories please.

tags: added: 12.04
Marian (mnion) wrote :

It does not start on PP (12.04) on an amd64, but after recmpilation it works OK.

Pander (pander) on 2012-07-12
tags: added: 12.10
stimrob (stimrob) wrote :

It will not run on 12.04 fresh install. Recompilation from this link works fine:

 https://bugs.launchpad.net/ubuntu/+source/xmlcopyeditor/+bug/967087/comments/11

What exactly is the issue here? This shouldn't be rocket science to rebuild one package and put it in the repos. This has been repoted since beta2 with no action. Disappointing.

Logan Rosen (logan) on 2012-08-16
description: updated
summary: - xmlcopyeditor does not start
+ xmlcopyeditor does not start - needs a no-change rebuild in both Precise
+ and Quantal
Luciano Panepucci (lpanebr) wrote :

I followed https://bugs.launchpad.net/ubuntu/+source/xmlcopyeditor/+bug/967087/comments/11 and it works.

mkdir ~/compilexmlcopyeditor && cd ~/compilexmlcopyeditor
sudo apt-get purge xmlcopyeditor
sudo apt-get build-dep xmlcopyeditor
sudo apt-get source xmlcopyeditor
cd xmlcopyeditor-1.2.0.6
sudo dpkg-buildpackage -rfakeroot -us -b
cd ..
sudo dpkg -i *.deb

bamber (bamberward) wrote :

I have 12-04. Clicking on program in dash simply closes dash. At the terminal I found that by typing xmlcopyeditor anyfile.xml opens the program. Typing xmlcopyeditor does nothing; no error is shown so the command is recognised.

bamber (bamberward) wrote :

Looking at other 'free' xml editors, I found that 12-04 does not the required programs to build them. For example, EDitiX .

bamber (bamberward) wrote :

Adding to my earlier commment even the terminal is a no-go. If you give an existing .xml file the program opens very very briefly then disappears. If you give it a non-existent .xml file it opens, then when you try to open a existing xml file from its menu then the same disappearing trick happens. Looking at the forums, this problem existed in Karmic. Like the mobile broadband still not working properly!( try sakis; it works).

bamber (bamberward) wrote :

Have just followed the instructions given by Luciano Panepucci on ubuntu 12-04 32 bit. Takes a time, but as it states,it works.
Many thanks.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xmlcopyeditor (Ubuntu Precise):
status: New → Confirmed
Gavin Fleming (gavinf) wrote :

still not working (12.04 64bit)

install xmlcopyeditor-debug

then run in gdb:

Reading symbols from /usr/bin/xmlcopyeditor...Reading symbols from /usr/lib/debug/usr/bin/xmlcopyeditor...done.
done.
(gdb) run
Starting program: /usr/bin/xmlcopyeditor
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[New Thread 0x7fffecb91700 (LWP 5184)]
[New Thread 0x7fffe7fff700 (LWP 5185)]
[New Thread 0x7fffdecb5700 (LWP 5186)]
[Thread 0x7fffdecb5700 (LWP 5186) exited]
[Thread 0x7fffe7fff700 (LWP 5185) exited]
[Thread 0x7fffecb91700 (LWP 5184) exited]
[Inferior 1 (process 5175) exited with code 0177]

tags: added: patch quantal

I had the same problem on 12.04. I followed the instructions from Luciano Panepucci, which worked perfectly. The only problem is that the Software Updater now wants to update it every time. If I do 'update' it, it won't start.

The version numbers are stated as being identical - xmlcopyeditor 1.2.0.6-2, but I think the one built above is referred to in synaptic as the (now) version rather than the (precise) version.

I have tried locking the version in synaptic, but the software updater ignores this. Is there any way I can stop the Software Updater from replacing my working version with a faulty one? There are times when the number of updates is large, and I might miss this and find myself without it again. I have kept the debs I built, but even so......

I give in. This has driven me crazy. I have had to remove xmlcopyeditor to stop the software updater from telling me every day to update to a non-functioning copy of what appears to be the same version as built above.

Marius B. Kotsbak (mariusko) wrote :

I have set up a daily rebuild PPA of this as a workaround until some Ubuntu developer uploads a new version:

https://launchpad.net/~mariusko/+archive/xmlcopyeditor

description: updated

That doesn't work on my system. I definitely did add the ppa (it is still there) to the repository and updated before installing.

Marius B. Kotsbak (mariusko) wrote :

Tim, the 64 bits builds are not ready yet: https://code.launchpad.net/~mariusko/+recipe/xmlcopyeditor-daily

If you are using i386, what does "apt-cache policy xmlcopyeditor" say?

I'm on amd64, so that would explain it. I didn't spot that this wasn't supported yet - apologies.

FYI apt-cache reports

  Installed: 1.2.0.6-2
  Candidate: 1.2.0.6-2
  Version table:
 *** 1.2.0.6-2 0
        500 http://gb.archive.ubuntu.com/ubuntu/ precise/universe amd64 Packages
        100 /var/lib/dpkg/status

As of Oct 25th this is now fixed using this ppa on my 12.04 64 bit system.

Thanks.

Rainer Rohde (rainer-rohde) wrote :

Kudos to Marius... this works! Thank you for this effort.

Running xmlcopyeditor in strace, it appears there is a problem of C++ binary incompatibility. Has some piece of code been built with a different version of the C++ compiler?

$ strace xmlcopyeditor
[...]
stat("/usr/share/xmlcopyeditor", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
writev(2, [{"xmlcopyeditor", 13}, {": ", 2}, {"relocation error", 16}, {": ", 2}, {"xmlcopyeditor", 13}, {": ", 2}, {"symbol _ZN16wxStyledTextCtrl7Sen"..., 127}, {"", 0}, {"", 0}, {"\n", 1}], 10) = 176
exit_group(127) = ?
$

Marius B. Kotsbak (mariusko) wrote :

A new version of the package is in Raring. Does it work there?

Changed in xmlcopyeditor (Ubuntu):
status: Confirmed → Incomplete
Marian (mnion) wrote :

Yes, on my Ubuntu 12.10 AMD64 it works.

Marius B. Kotsbak (mariusko) wrote :

Works fine in 13.04.

Changed in xmlcopyeditor (Ubuntu):
status: Incomplete → Fix Released

Hi i am using ubuntu 12.10,i can install xml copy editor , but i couln't open it.can anyone suggest me a suitable solution.

sudan vellakovil kanaka vel
Project manager & Business Analyst
Animosys Studio india Pvt Ltd.
coimbatore,tamil nadu,India.
Website:www.animosysstudio.com
Emailid:<email address hidden>

cement_head (andor-udel) wrote :

Install the packages from 12.10.

or add this PPA: https://launchpad.net/~mariusko/+archive/xmlcopyeditor

- CH

12.04 LTS (Long Term Service) 64 bit, up-to-date. It doesn't work.

RomanIvanov (ivanov-jr) wrote :

does not work after default installation (Ubuntu Software center)

Work fine after using: https://code.launchpad.net/~mariusko/+archive/xmlcopyeditor
Commands:
sudo apt-get purge xmlcopyeditor
sudo add-apt-repository ppa:mariusko/xmlcopyeditor
sudo apt-get update
sudo apt-get install xmlcopyeditor

mjpelmear (mjpelmear) wrote :

I am experiencing this problem on 13.04/Raring 64-bit.
Building the package as suggested in https://bugs.launchpad.net/ubuntu/+source/xmlcopyeditor/+bug/901547/comments/12 makes no difference for me.

matt@host:~/$ gdb xmlcopyeditor
GNU gdb (GDB) 7.5.91.20130417-cvs-ubuntu
...
This GDB was configured as "x86_64-linux-gnu".
...
Reading symbols from /usr/bin/xmlcopyeditor...Reading symbols from /usr/lib/debug/.build-id/4e/054a907c73a88b5a1a6749f123bf8a76b08ebc.debug...done.
done.
(gdb) run
Starting program: /usr/bin/xmlcopyeditor
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[New Thread 0x7fffe95f4700 (LWP 451)]
[New Thread 0x7fffe8df3700 (LWP 452)]
[New Thread 0x7fffe0ef1700 (LWP 460)]

Program received signal SIGSEGV, Segmentation fault.
0x0000000000498c5e in xercesc_3_1::SchemaElementDecl::getSubstitutionGroupElem
    (this=0x0)
    at /usr/include/xercesc/validators/schema/SchemaElementDecl.hpp:331
331 return fSubstitutionGroupElem;
(gdb) quit

matt@host:~/$ apt-cache policy xmlcopyeditor
xmlcopyeditor:
  Installed: 1.2.0.8-1
  Candidate: 1.2.0.8-1
  Version table:
 *** 1.2.0.8-1 0
        500 http://us.archive.ubuntu.com/ubuntu/ raring/universe amd64 Packages
        100 /var/lib/dpkg/status

More importantly, building xmlcopyeditor-1.2.0.9 manually from source results in a working binary.
I believe the package should be updated to 1.2.0.9 for Ubuntu 13.04/Raring.

Workaround that with RomanIvanov (ivanov-jr) explanation thanks Roman!

Does the package be updated?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.